Bug 1047140 - some patches (scroll events, notification timeout, twitter api 1.1 fixes)
Summary: some patches (scroll events, notification timeout, twitter api 1.1 fixes)
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gwibber
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-29 11:45 UTC by Fabrice Bellet
Modified: 2014-01-09 07:43 UTC (History)
1 user (show)

Fixed In Version: gwibber-3.4.2-10.fc19
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-03 08:31:44 UTC
Type: Bug


Attachments (Terms of Use)
Fix scroll events handling (2.14 KB, patch)
2013-12-29 11:51 UTC, Fabrice Bellet
no flags Details | Diff
Increase the notification bubble timeout (from 2 secs to 5 secs) (1.07 KB, patch)
2013-12-29 11:56 UTC, Fabrice Bellet
no flags Details | Diff
More fixes for twitter 1.1 API (2.59 KB, patch)
2013-12-29 12:00 UTC, Fabrice Bellet
no flags Details | Diff
Fix soup URI parsing (471 bytes, patch)
2013-12-29 12:08 UTC, Fabrice Bellet
no flags Details | Diff

Description Fabrice Bellet 2013-12-29 11:45:18 UTC
Hi!

I have patches, that solve some issues with gwibber, mainly the scroll events that are not handled uniformly depending on the widget the cursor in located on, and other fixes for twitter API 1.1.

Comment 1 Fabrice Bellet 2013-12-29 11:51:56 UTC
Created attachment 843057 [details]
Fix scroll events handling

This patch makes more widgets of the main timeline window aware of scroll events (mouse/kbd). The scrolling is still not smooth, and still has problems (for example, it doesn't remember when inline pictures are shown in the timeline), but it provides a more "predictable" behaviour, in the sense that all widgets that compose the timeline will now handle scroll events.

Comment 2 Fabrice Bellet 2013-12-29 11:56:22 UTC
Created attachment 843059 [details]
Increase the notification bubble timeout (from 2 secs to 5 secs)

This patch was needed with gnome2 notification daemon, to make notification bubbles stay a bit longer on screen (2 seconds to read a tweet may be a bit short :) It may still be useful with MATE.

Comment 3 Fabrice Bellet 2013-12-29 12:00:39 UTC
Created attachment 843060 [details]
More fixes for twitter 1.1 API

This patch adds some supplementary fixes to restore search capabilities in twitter with the 1.1 API (tweets searches and contact searches)

Comment 4 Fabrice Bellet 2013-12-29 12:08:59 UTC
Created attachment 843061 [details]
Fix soup URI parsing

This patch uses the url.fragment value of the soup URI parsed string, to pass search queries from the main timeline window to the search window (when clicking on a highlighted hashtag for example). The problem was that the hash symbol "#" is interpreted specifically by the URI parser as a separator, and args2[1] was always filled with an empty string. url.fragment seems to be the good variable to use in this case.

Comment 5 Fedora Update System 2013-12-30 19:26:35 UTC
gwibber-3.4.2-10.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gwibber-3.4.2-10.fc19

Comment 6 Fedora Update System 2013-12-30 19:26:47 UTC
gwibber-3.4.2-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gwibber-3.4.2-10.fc20

Comment 7 Fedora Update System 2013-12-31 09:52:37 UTC
Package gwibber-3.4.2-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gwibber-3.4.2-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-24164/gwibber-3.4.2-10.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-01-03 08:31:44 UTC
gwibber-3.4.2-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2014-01-09 07:43:45 UTC
gwibber-3.4.2-10.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.